## org.jfree.xml.generator
Class SplittingModelWriter

    java.lang.Object
      org.jfree.xml.generator.ModelWriter
          org.jfree.xml.generator.SplittingModelWriter

    public class SplittingModelWriter

extends ModelWriter

A model writer that writes to multiple files.

Constructor Summary
`SplittingModelWriter()` Creates a new instance.

Method Summary
`static java.lang.String` `getPackage(java.lang.Class c)` Returns the name of the package for the given class.
`void` `write(java.lang.String target)` Writes the model to the specified target.

Methods inherited from class org.jfree.xml.generator.ModelWriter
`getModel, getSafeTags, getWriterSupport, setModel, write, writeClassDescription, writeCloseComment, writeComment, writeManualMapping, writeMultiplexMapping, writeOpenComment, writeStandardComment, writeTag, writeTag, writeXMLHeader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SplittingModelWriter

    public SplittingModelWriter()

  Creates a new instance.

Method Detail

### write

    public void write(java.lang.String target)
               throws java.io.IOException

  Writes the model to the specified target.

  Parameters:
    `target` - the target file name.
  Throws:
    `java.io.IOException` - if there is an I/O problem.

### getPackage

    public static java.lang.String getPackage(java.lang.Class c)

  Returns the name of the package for the given class. This is a workaround for the classloader behaviour of JDK1.2.2 where no package objects are created.

  Parameters:
    `c` - the class for which we search the package.
  Returns:
    the name of the package, never null.